<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!-- Import standard data for OrganizationType -->
    <changeSet id="20241015105339-organizationtype-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/organization_type.csv"
                  separator=";"
                  tableName="organization_type"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="name" type="string"/>
            <column name="code" type="string"/>
			<column name="nature" type="string"/>
        </loadData>
    </changeSet>
	
    <!-- Import standard data for Organization -->
    <changeSet id="20241015105339-organization-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/organization.csv"
                  separator=";"
                  tableName="organization"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="organization_type_id" type="numeric"/>
			<column name="parent_id" type="numeric"/>
            <column name="name" type="string"/>
            <column name="code" type="string"/>
        </loadData>
    </changeSet>
	
    <!-- Import standard data for MetadataProperty -->
    <changeSet id="20241015105339-metadataproperty-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/metadata_property.csv"
                  separator=";"
                  tableName="metadata_property"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="code" type="string"/>
			<column name="name" type="string"/>
            <column name="description" type="string"/>
            <column name="mandatory" type="boolean"/>
			<column name="metadata_type" type="string"/>
			<column name="pattern" type="string"/>
        </loadData>
    </changeSet>
	
    <!-- Import standard data for UnitType -->
    <changeSet id="20241015105339-unittype-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/unit_type.csv"
                  separator=";"
                  tableName="unit_type"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="name" type="string"/>
            <column name="description" type="string"/>
        </loadData>
    </changeSet>
	
	<!-- Import standard data for Unit -->
    <changeSet id="20241015105339-unit-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/unit.csv"
                  separator=";"
                  tableName="unit"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="unit_type_id" type="numeric"/>
			<column name="symbol" type="string"/>
            <column name="name" type="string"/>
            <column name="description" type="string"/>
			<column name="convertion_rate" type="numeric"/>
        </loadData>
    </changeSet>
	
	<!-- Import standard data for VariableScope -->
    <changeSet id="20241015105339-variablescope-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/var_scope.csv"
                  separator=";"
                  tableName="variable_scope"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="code" type="string"/>
            <column name="name" type="string"/>
            <column name="description" type="string"/>
        </loadData>
    </changeSet>
	
	<!-- Import standard data for VariableCategory -->
    <changeSet id="20241015105339-variablecategory-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/var_category.csv"
                  separator=";"
                  tableName="variable_category"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="variable_scope_id" type="bigint"/>
			<column name="code" type="string"/>
            <column name="name" type="string"/>
            <column name="description" type="string"/>
			
			<column name="AUX_IGNORE" type="skip"/>
        </loadData>
    </changeSet>
	
	<!-- Import standard data for Variable -->
    <changeSet id="20241015105339-variable-data" author="default">
        <loadData
                  file="config/liquibase/fill-data/variable.csv"
                  separator=";"
                  tableName="variable"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
			<column name="variable_scope_id" type="bigint"/>
			<column name="variable_category_id" type="bigint"/>
			<column name="variable_index" type="numeric"/>
			<column name="code" type="string"/>
            <column name="name" type="string"/>
            <column name="description" type="string"/>
			
			<column name="AUX_Scope_Code" type="skip"/>
			<column name="AUX_Scope_Id" type="skip"/>
			<column name="AUX_Category_Code" type="skip"/>
			<column name="AUX_Category_Code_Key" type="skip"/>
			<column name="AUX_Category_Id" type="skip"/>
        </loadData>
    </changeSet>
</databaseChangeLog>
